Package org.eclipse.m2m.atl.emftvm

## Interface ModelDeclaration

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ModelDeclarationImpl`

    public interface ModelDeclaration
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Model Declaration'.

See Also:
  `EmftvmPackage.getModelDeclaration()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Module` `getInoutModelFor()` Returns the value of the 'Inout Model For' container reference.
`Module` `getInputModelFor()` Returns the value of the 'Input Model For' container reference.
`java.lang.String` `getMetaModelName()` Returns the value of the 'Meta Model Name' attribute.
`java.lang.String` `getModelName()` Returns the value of the 'Model Name' attribute.
`Module` `getOutputModelFor()` Returns the value of the 'Output Model For' container reference.
`void` `setInoutModelFor​(Module value)` Sets the value of the '`Inout Model For`' container reference.
`void` `setInputModelFor​(Module value)` Sets the value of the '`Input Model For`' container reference.
`void` `setMetaModelName​(java.lang.String value)` Sets the value of the '`Meta Model Name`' attribute.
`void` `setModelName​(java.lang.String value)` Sets the value of the '`Model Name`' attribute.
`void` `setOutputModelFor​(Module value)` Sets the value of the '`Output Model For`' container reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getModelName

    java.lang.String getModelName()

Returns the value of the 'Model Name' attribute.

If the meaning of the 'Model Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Model Name' attribute.
See Also:
  `setModelName(String)`, `EmftvmPackage.getModelDeclaration_ModelName()`

#### setModelName

    void setModelName​(java.lang.String value)

Sets the value of the '`Model Name`' attribute.

Parameters:
  `value` - the new value of the 'Model Name' attribute.
See Also:
  `getModelName()`

#### getMetaModelName

    java.lang.String getMetaModelName()

Returns the value of the 'Meta Model Name' attribute.

If the meaning of the 'Meta Model Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Meta Model Name' attribute.
See Also:
  `setMetaModelName(String)`, `EmftvmPackage.getModelDeclaration_MetaModelName()`

#### setMetaModelName

    void setMetaModelName​(java.lang.String value)

Sets the value of the '`Meta Model Name`' attribute.

Parameters:
  `value` - the new value of the 'Meta Model Name' attribute.
See Also:
  `getMetaModelName()`

#### getInputModelFor

    Module getInputModelFor()

Returns the value of the 'Input Model For' container reference. It is bidirectional and its opposite is '`Input Models`'.

If the meaning of the 'Input Model For' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Input Model For' container reference.
See Also:
  `setInputModelFor(Module)`, `EmftvmPackage.getModelDeclaration_InputModelFor()`, `Module.getInputModels()`

#### setInputModelFor

    void setInputModelFor​(Module value)

Sets the value of the '`Input Model For`' container reference.

Parameters:
  `value` - the new value of the 'Input Model For' container reference.
See Also:
  `getInputModelFor()`

#### getInoutModelFor

    Module getInoutModelFor()

Returns the value of the 'Inout Model For' container reference. It is bidirectional and its opposite is '`Inout Models`'.

If the meaning of the 'Inout Model For' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Inout Model For' container reference.
See Also:
  `setInoutModelFor(Module)`, `EmftvmPackage.getModelDeclaration_InoutModelFor()`, `Module.getInoutModels()`

#### setInoutModelFor

    void setInoutModelFor​(Module value)

Sets the value of the '`Inout Model For`' container reference.

Parameters:
  `value` - the new value of the 'Inout Model For' container reference.
See Also:
  `getInoutModelFor()`

#### getOutputModelFor

    Module getOutputModelFor()

Returns the value of the 'Output Model For' container reference. It is bidirectional and its opposite is '`Output Models`'.

If the meaning of the 'Output Model For' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Output Model For' container reference.
See Also:
  `setOutputModelFor(Module)`, `EmftvmPackage.getModelDeclaration_OutputModelFor()`, `Module.getOutputModels()`

#### setOutputModelFor

    void setOutputModelFor​(Module value)

Sets the value of the '`Output Model For`' container reference.

Parameters:
  `value` - the new value of the 'Output Model For' container reference.
See Also:
  `getOutputModelFor()`